#!/usr/bin/env python2

### Sometimes data come from artificially created mseed files and their sampling
### rates may be wrong. SAMPLING_RATE allows you to override the sampling rate found
### in the .mseed file headers.  It should be nonnegative, SPS.
### If 0, the sampling rate from the .mseed files will be used.
SAMPLING_RATE = 0

### All file paths are relative to C:/<Python root>/Noiseestimate/
# input files to read signals from

DATA_FILES = [
# 'Data/Chan01-TC.mseed',
# 'Data/Chan02-T1.mseed',
 'Data/Chan03-N3.mseed',
 'Data/Chan04-N2.mseed',
 'Data/Chan05-N1.mseed'
 
]

# corresponding response files 

RESP_FILES = [
# Data/SAC_PZs_Data1',
# Data/SAC_PZs_Data2',
 'Data/SAC_PZs_Data3',
 'Data/SAC_PZs_Data4',
 'Data/SAC_PZs_Data5'
 
]

# switch legend on/off
PLOT_LEGEND =  True

# plot total power
PLOT_POWER = True

# plot sleeman noise
PLOT_SLEEMAN = True

# plot holcomb noise
PLOT_HOLCOMB = False

# plot low noise model (NLNM.txt)
PLOT_NLNM = True

### plot mode low noise model (MLNM.txt)
PLOT_MLNM = False  ###

# plot high noise model (NHNM.txt)
PLOT_NHNM = True

# plot coherences in another window
PLOT_COHE = True

# title of the plot
#TITLE = 'Holcomb Self Noise'
TITLE = 'Sleeman Self Noise'

# X axis mode: frequency ('hertz') or period ('seconds')
#XMODE = 'seconds'
XMODE = 'hertz'

# cutoff for low frequencies: in 'hertz' mode, means Hz, in 'seconds' mode, means seconds
#CUTOFF = 1000
CUTOFF = 0.001

# color cycle palette
COLOR_CYCLE = ['r', 'g', 'b']

# plot local earthquake noise models
PLOT_LOCALEQ = False

# plot regional earthquake noise models   
PLOT_REGIONALEQ = False

# plot teleseismic earthquake noise models   
PLOT_TELESEISMICEQ = False

# earthquake model files
### from Clinton & Heaton, Seis. Res. Let. 2002 v73 n3
EQFILES = [
    'models/data1.5@10',
    'models/data2.5@10',
    'models/data3.5@10',
    'models/data4.5@10',
    'models/data5.5@10',
    'models/data6.5@10',
    'models/data7.5@10',
    'models/data1.5@100',
    'models/data2.5@100',
    'models/data3.5@100',
    'models/data4.5@100',
    'models/data5.5@100',
    'models/data6.5@100',
    'models/data7.5@100',
    'models/data6@3000',
    'models/data7@3000',
    'models/data8@3000',

]


